Bug 1018789 - [abrt] xterm-293-1.fc19: sethostname: Process /usr/bin/xterm was killed by signal 11 (SIGSEGV)
[abrt] xterm-293-1.fc19: sethostname: Process /usr/bin/xterm was killed by si...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
abrt_hash:7044da7f05c071f96432218903e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:12 EDT by Marcel Wysocki
Modified: 2014-09-29 09:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-29 09:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.21 KB, text/plain)
2013-10-14 08:12 EDT, Marcel Wysocki
no flags Details
File: cgroup (142 bytes, text/plain)
2013-10-14 08:12 EDT, Marcel Wysocki
no flags Details
File: core_backtrace (1.52 KB, text/plain)
2013-10-14 08:12 EDT, Marcel Wysocki
no flags Details
File: dso_list (2.34 KB, text/plain)
2013-10-14 08:12 EDT, Marcel Wysocki
no flags Details
File: environ (2.67 KB, text/plain)
2013-10-14 08:12 EDT, Marcel Wysocki
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-14 08:13 EDT, Marcel Wysocki
no flags Details
File: maps (11.40 KB, text/plain)
2013-10-14 08:13 EDT, Marcel Wysocki
no flags Details
File: open_fds (221 bytes, text/plain)
2013-10-14 08:13 EDT, Marcel Wysocki
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-10-14 08:13 EDT, Marcel Wysocki
no flags Details
File: var_log_messages (270 bytes, text/plain)
2013-10-14 08:13 EDT, Marcel Wysocki
no flags Details

  None (edit)
Description Marcel Wysocki 2013-10-14 08:12:39 EDT
Version-Release number of selected component:
xterm-293-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        xterm
crash_function: sethostname
executable:     /usr/bin/xterm
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 sethostname at ../sysdeps/unix/syscall-template.S:81
 #1 in_put at ./charproc.c:4362
 #2 doinput at ./charproc.c:4394
 #3 VTparse at ./charproc.c:3920
 #4 VTRun at ./charproc.c:6515
Comment 1 Marcel Wysocki 2013-10-14 08:12:43 EDT
Created attachment 811963 [details]
File: backtrace
Comment 2 Marcel Wysocki 2013-10-14 08:12:49 EDT
Created attachment 811964 [details]
File: cgroup
Comment 3 Marcel Wysocki 2013-10-14 08:12:52 EDT
Created attachment 811965 [details]
File: core_backtrace
Comment 4 Marcel Wysocki 2013-10-14 08:12:55 EDT
Created attachment 811966 [details]
File: dso_list
Comment 5 Marcel Wysocki 2013-10-14 08:12:59 EDT
Created attachment 811967 [details]
File: environ
Comment 6 Marcel Wysocki 2013-10-14 08:13:03 EDT
Created attachment 811968 [details]
File: limits
Comment 7 Marcel Wysocki 2013-10-14 08:13:07 EDT
Created attachment 811969 [details]
File: maps
Comment 8 Marcel Wysocki 2013-10-14 08:13:12 EDT
Created attachment 811970 [details]
File: open_fds
Comment 9 Marcel Wysocki 2013-10-14 08:13:15 EDT
Created attachment 811971 [details]
File: proc_pid_status
Comment 10 Marcel Wysocki 2013-10-14 08:13:18 EDT
Created attachment 811972 [details]
File: var_log_messages
Comment 11 Miroslav Lichvar 2014-04-15 09:24:37 EDT
Can you reproduce the crash? What did you do when this happened?

Does it crash with the latest upstream version? A build is here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=503698

The function called from in_put() in the backtrace seems to actually be select(), not sethostname().
Comment 12 Marcel Wysocki 2014-09-29 09:51:30 EDT
never happened again

Note You need to log in before you can comment on or make changes to this bug.